Subject: Re: Bisect'ed BUG in VLAN promisc mode (6c78dcbd47)

From: Jesper Dangaard Brouer <[email-masked]>
Date: Fri, 26 Sep 2008 21:22:13 +0200

On Fri, 2008-09-26 at 18:14 +0200, Patrick McHardy wrote:
> Jesper Dangaard Brouer wrote:
> > Hi Patrick,
> > 
> > Bisected me down to one of you changes
> >  commit 6c78dcbd47a68a
> >  [VLAN]: Fix promiscous/allmulti synchronization races
> > 
> > Description:
> > ------------
> >  All other VLAN interfaces stop working, if a vlan is taken down
> >  (ifconfig eth1.1025 down) _while_ there is a tcpdump running on that
> >  interface.
> > 
> >  The problem is a result of promisc mode being removed on the
> >  real-device (eth1), when the vlan interface is taken down.  This
> >  should not happen as other vlan devices exists that still need
> >  promisc mode on the real-device (eth1).
> 
> I'm pretty sure we fixed this already in commit 0ed21b32.

I think that I have tested including this commit.  The first thing I did
was to test with latest DaveM net-2.6 git tree.

I'll test it later... perhaps during the hacking days...

Need to pack.. See you soon!
-- 
Med venlig hilsen / Best regards
  Jesper Brouer
  ComX Networks A/S
  Linux Network developer
  Cand. Scient Datalog / MSc.
  Author of http://adsl-optimizer.dk
  LinkedIn: http://www.linkedin.com/in/brouer